import { AsyncDecoder, Decoder } from 'ts-decoders';
import { ComposeDecoderOptions } from './util';
export declare type DictionaryDecoderOptions = ComposeDecoderOptions;
export declare function dictionaryD<R, V>(
  valueDecoder: Decoder<R, V>,
  options?: DictionaryDecoderOptions,
): Decoder<
  {
    [key: string]: R;
  },
  V
>;
export declare function dictionaryD<R, V>(
  valueDecoder: Decoder<R, V>,
  keyDecoder: Decoder<string, string>,
  options?: DictionaryDecoderOptions,
): Decoder<
  {
    [key: string]: R;
  },
  V
>;
export declare function dictionaryD<R, V>(
  decoder: AsyncDecoder<R, V>,
  options?: DictionaryDecoderOptions,
): AsyncDecoder<
  {
    [key: string]: R;
  },
  V
>;
export declare function dictionaryD<R, V>(
  valueDecoder: Decoder<R, V> | AsyncDecoder<R, V>,
  keyDecoder: Decoder<string, string> | AsyncDecoder<string, string>,
  options?: DictionaryDecoderOptions,
): AsyncDecoder<
  {
    [key: string]: R;
  },
  V
>;
// # sourceMappingURL=dictionary.d.ts.map
